org.springframework.jdbc.core

## Class ArgumentTypePreparedStatementSetter

- java.lang.Object
- - org.springframework.jdbc.core.ArgumentTypePreparedStatementSetter

- All Implemented Interfaces:
    ParameterDisposer, PreparedStatementSetter

      public class ArgumentTypePreparedStatementSetter
      extends Object
      implements PreparedStatementSetter, ParameterDisposer

  Simple adapter for `PreparedStatementSetter` that applies given arrays of arguments and JDBC argument types.
  Since:
    3.2.3
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgumentTypePreparedStatementSetter(Object[] args, int[] argTypes)` Create a new ArgTypePreparedStatementSetter for the given arguments.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanupParameters()` Close the resources allocated by parameters that the implementing object holds, for example in case of a DisposableSqlTypeValue (like a SqlLobValue).
    `protected void` | `doSetValue(PreparedStatement ps, int parameterPosition, int argType, Object argValue)` Set the value for the prepared statement's specified parameter position using the passed in value and type.
    `void` | `setValues(PreparedStatement ps)` Set parameter values on the given PreparedStatement.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArgumentTypePreparedStatementSetter

          public ArgumentTypePreparedStatementSetter(Object[] args,
                                             int[] argTypes)

      Create a new ArgTypePreparedStatementSetter for the given arguments.
      Parameters:
        `args` - the arguments to set
        `argTypes` - the corresponding SQL types of the arguments

  - ### Method Detail

    - #### setValues

          public void setValues(PreparedStatement ps)
                         throws SQLException

      Description copied from interface: `PreparedStatementSetter`
      Set parameter values on the given PreparedStatement.
      Specified by:
        `setValues` in interface `PreparedStatementSetter`
      Parameters:
        `ps` - the PreparedStatement to invoke setter methods on
      Throws:
        `SQLException` - if a SQLException is encountered (i.e. there is no need to catch SQLException)

    - #### doSetValue

          protected void doSetValue(PreparedStatement ps,
                        int parameterPosition,
                        int argType,
                        Object argValue)
                             throws SQLException

      Set the value for the prepared statement's specified parameter position using the passed in value and type. This method can be overridden by sub-classes if needed.
      Parameters:
        `ps` - the PreparedStatement
        `parameterPosition` - index of the parameter position
        `argType` - the argument type
        `argValue` - the argument value
      Throws:
        `SQLException`

    - #### cleanupParameters

          public void cleanupParameters()

      Description copied from interface: `ParameterDisposer`
      Close the resources allocated by parameters that the implementing object holds, for example in case of a DisposableSqlTypeValue (like a SqlLobValue).
      Specified by:
        `cleanupParameters` in interface `ParameterDisposer`
      See Also:
        `DisposableSqlTypeValue.cleanup()`, `SqlLobValue.cleanup()`